Bug 427013 - Disable debug files
Disable debug files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: alpine (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Joshua Daniel Franklin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-29 19:10 EST by Josh Boyer
Modified: 2008-04-16 23:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.10-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 23:46:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2007-12-29 19:10:26 EST
Description of problem:

Alpine currently creates a .pine-debug<N> file in the users home directory every
time it's started

Version-Release number of selected component (if applicable):

alpine-1.00-2.fc9

How reproducible:

always

Steps to Reproduce:
1.  start alpine
2.  quit alpine
3.  ls -la ~/.pine*
  
Actual results:

.pine-debug<N> files are created

Expected results:

No debug files created

Additional info:

If you build alpine with the --disable-debug option passed to configure, it will
not do this.  I suggest adding that to the spec file
Comment 1 Joshua Daniel Franklin 2007-12-30 22:05:18 EST
OK, thanks for the report. I'll look into this when I get back from holiday.
Comment 2 Rex Dieter 2008-03-24 08:09:49 EDT
fyi, in testing alpine-1.10 builds, tried adding --disable-debug, but that
didn't help here.
Comment 3 Joshua Daniel Franklin 2008-03-24 13:59:23 EDT
The alpine configure has a bug, you have to use "--enable-debug=no"

This issue is resolved in this alpine build in testing:

http://koji.fedoraproject.org/koji/buildinfo?buildID=43664

You may download it there for early access.
Comment 4 Joshua Daniel Franklin 2008-04-03 14:25:58 EDT
This update is now in the testing repo, install with

yum -y --enablerepo=updates-testing update alpine

If it works for you please give it +1 here:

https://admin.fedoraproject.org/updates/search/alpine-1.10

When it reaches +5 it will be pushed to stable I think.
Comment 5 Fedora Update System 2008-04-16 23:46:51 EDT
alpine-1.10-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-04-16 23:51:34 EDT
alpine-1.10-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.